package com.ruoyi.project.document.service;

import java.util.List;
import com.ruoyi.project.document.domain.TPublicdoc;
import org.apache.poi.xwpf.usermodel.XWPFDocument;
import org.apache.poi.xwpf.usermodel.XWPFParagraph;
import org.apache.poi.xwpf.usermodel.XWPFRun;

/**
 * 公共盘文档Service接口
 *
 * @author ruoyi
 * @date 2020-12-03
 */
public interface ITPublicdocService
{
    /**
     * 查询公共盘文档
     *
     * @param id 公共盘文档ID
     * @return 公共盘文档
     */
    public TPublicdoc selectTPublicdocById(Long id);

    /**
     * 查询公共盘文档列表
     *
     * @param tPublicdoc 公共盘文档
     * @return 公共盘文档集合
     */
    public List<TPublicdoc> selectTPublicdocList(TPublicdoc tPublicdoc);

    /**
     * 新增公共盘文档
     *
     * @param tPublicdoc 公共盘文档
     * @return 结果
     */
    public int insertTPublicdoc(TPublicdoc tPublicdoc);

    /**
     * 修改公共盘文档
     *
     * @param tPublicdoc 公共盘文档
     * @return 结果
     */
    public int updateTPublicdoc(TPublicdoc tPublicdoc);

    /**
     * 批量删除公共盘文档
     *
     * @param ids 需要删除的公共盘文档ID
     * @return 结果
     */
    public int deleteTPublicdocByIds(Long[] ids);

    /**
     * 删除公共盘文档信息
     *
     * @param id 公共盘文档ID
     * @return 结果
     */
    public int deleteTPublicdocById(Long id);

    void dealPublicdoc(XWPFDocument doc, XWPFParagraph paragraph, XWPFRun run);
}
